{
	"$schema": "https://opencode.ai/config.json",
	"autoupdate": true,
	"model": "github-copilot/gpt-5.4",
	"small_model": "github-copilot/gpt-5-mini",
	"default_agent": "planner",
	"enabled_providers": ["github-copilot"],
	"plugin": ["@tarquinen/opencode-dcp", "./plugins/tmux-panes.ts"],
	"agent": {
		"build": {
			"disable": true
		},
		"general": {
			"disable": true
		},
		"explore": {
			"disable": true
		},
		"plan": {
			"disable": true
		}
	},
	"permission": {
		"doom_loop": "allow",
		"websearch": "allow",
		"question": "allow",
		"bash": "allow",
		"external_directory": "deny"
	},
	"mcp": {
		"context7": {
			"type": "remote",
			"url": "https://mcp.context7.com/mcp",
			"enabled": true
		},
		"gh_grep": {
			"type": "remote",
			"url": "https://mcp.grep.app",
			"enabled": true
		},
		"playwright": {
			"type": "local",
			"command": [
				"bunx",
				"@playwright/mcp@latest",
				"--headless",
				"--browser",
				"chromium"
			],
			"enabled": true
		},
		"basic-memory": {
			"type": "local",
			"command": ["uvx", "basic-memory", "mcp"],
			"enabled": true
		},
		"ast-grep": {
			"type": "local",
			"command": [
				"uvx",
				"--from",
				"git+https://github.com/ast-grep/ast-grep-mcp",
				"ast-grep-server"
			],
			"enabled": true
		}
	}
}
